Subject: bug#20431: emacs-24.5 segfaults with gnutls-3.4.0

From: Fernando de Oliveira <[email-masked]>
Date: Mon, 21 Dec 2015 14:46:24 -0300

Em 05-05-2015 09:39, Fernando de Oliveira escreveu:
> Sorry, forgt to send to the bug report
> 
> On 04-05-2015 19:13, Ted Zlatanov wrote:
>> On Sun, 26 Apr 2015 14:23:46 -0300 Fernando de Oliveira <[email-masked]> wrote: 
>>
>> FdO> I am having this segfault problem and could not solve by myself.
>> ...
>> FdO> Build log tail with the error (I1ve replaced "Falha de segmentação" by
>> FdO> "Segmentation fault":
>> ...
>>
>> Hi Fernando,
>>
>> I don't know if the problem is in the GnuTLS integration from this stack
>> trace, but I'm definitely not seeing it here. Is it still happening for
>> you? Can you replicate it with the released 24.4? How about the latest
>> (Git master branch)?
> 
> Hi Ted,
> 
> Thanks for your post.
> 
> System updated to gnutls-3.4.1.
> 
> FWIW:
> gcc (GCC) 5.1.0 (but my first post was with gcc-4.9.2)
> clang version 3.6.0 (tags/RELEASE_360/final)
> 
> Tested versions: 24.4, 24.5 (again), Git emacs-24 branch (24.5.50), and
> Git master branch (25.0.50, also tried to use clang, for this one).
> 
> Unfortunately, still same issue:

Hi, Ted.

I've built a new system (Linux From Scratch SVN-20151002), without
stripping the tool-chain, for debugging purposes and tested this problem
today. To my surprise, the problem is gone.

Packages versions:
emacs-24.5
gcc-5.3.0
gnutls-3.4.7

Architecture:
x86_64

It may be some problem with the older system.

Please, do I need to do anything else to close this bug?

Thank you very much for the attention.

Apologies for not getting the problem solved in the other system.

-- 
[]s,
Fernando, aka Sísifo